/* BROWSE HEADER START */

.categories-header {
    align-self: flex-start;
    justify-self: flex-start;
    text-align: left;
}

.categories-header__title {
    font-family: 'Work Sans', sans-serif;
    font-size: 38px;
    font-weight: 600;
}

/* Category CARDS START */
.categories-cards {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
    margin-top: 50px;
}

.category-card {
    position: relative;
    background-color: #3b3b3b;
    border-radius: 20px;
    overflow: hidden;
}

.category-card__image {
    overflow: hidden;
    position: relative;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 280/280;
}

.category-card__image::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    transition: filter 0.1s ease-in-out;
}

.category-card:hover .category-card__image::before {
    filter: blur(7px);
}

.category-card:hover .category-card__icon {
    visibility: visible;
}

.whale::before {
    background: url(../image/browse/whales.png) center/cover no-repeat;
}

.monkey::before {
    background: url(../image/browse/monkey.png) center/cover no-repeat;
}

.violin::before {
    background: url(../image/browse/violin.png) center/cover no-repeat;
}

.old-man::before {
    background: url(../image/browse/old-man.png) center/cover no-repeat;
}

.boy::before {
    background: url(../image/browse/boy.png) center/cover no-repeat;
}

.key::before {
    background: url(../image/browse/key.png) center/cover no-repeat;
}

.ball::before {
    background: url(../image/browse/basketball.png) center/cover no-repeat;
}

.city::before {
    background: url(../image/browse/city.png) center/cover no-repeat;
}

.category-card__icon {
    z-index: 2;
    width: 80px;
    height: auto;
    visibility: hidden;
}

.category-card__info {
    padding: 20px 30px 25px 30px;
}

.category-card__name {
    font-family: 'Work Sans', sans-serif;
    font-size: 22px;
    color: white;
    font-weight: 600;
    line-height: 30.8px;
}

/* RESPONSIVE DESIGN */

@media (max-width: 1200px) {
    .categories-header__title {
        font-size: 28px;
    }

    .categories-cards {
        grid-template-columns: repeat(4, 1fr);
        margin-top: 40px;
    }

    .category-card__name {
        font-size: 16px;
        line-height: 22.4px;
    }

    .category-card__info {
        padding: 15px 20px 25px 20px;
    }
}

@media (max-width: 768px) {
    .categories-cards {
        grid-template-columns: repeat(2, 1fr);
        margin-top: 30px;
        gap: 20px;
    }
}
